{* 
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 *
 * With the purchase or the installation of the software in your application
 *
 * you accept the licence agreement.
 *
 *
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Banca Sella S.p.A
 *  @copyright 1996-2024 Banca Sella S.p.A
 *  @license   LICENSE.txt
 *}
<form action="" method="post">
  <!-- config.tpl -->
  <fieldset>
    <legend>Configure AppPago</legend>

    <!-- Mostra errori qui -->
    {if isset($errors) && $errors}
      <div class="alert alert-danger">
        {foreach from=$errors item=error}
          {$error}<br />
        {/foreach}
      </div>
    {/if}

    <!-- Mostra conferme qui -->
    {if isset($confirmations) && $confirmations}
      <div class="alert alert-success">
        {foreach from=$confirmations item=confirmation}
          {$confirmation}<br />
        {/foreach}
      </div>
    {/if}

    <div style="width: 50%; margin: auto;">
      <!-- Modalità test -->
      <div class="form-group">
        <label for="testingMode">Modalità test'</label>
        <select id="testingMode" name="testingMode" value="{$testingMode}">
          <option value="disabled" {if $testingMode == 'disabled'}selected{/if}>Inattivo</option>
          <option value="enabled" {if $testingMode == 'enabled'}selected{/if}>Attivo'</option>
        </select>
      </div>

      <!-- Codice Merchant -->
      <div class="form-group">
        <label for="merchantCode">Codice Merchant'</label>
        <input type="text" id="merchantCode" name="merchantCode" value="{$merchantCode}" />
      </div>

      <!-- VAT -->
      <div class="form-group">
        <label for="vat">VAT</label>
        <input type="text" id="vat" name="vat" value="{$vat}" />
      </div>

      <!-- API key -->
      <div class="form-group" style="display: none">
        <label for="api_key">API key</label>
        <input type="text" id="api_key" name="api_key" value="{$api_key}" />
      </div>

      <!-- Minimo rate -->
      <div class="form-group">
        <label for="min_amount">Importo minimo</label>
        <input type="text" id="min_amount" name="min_amount" value="{$min_amount}" />
      </div>

      <!-- Massimo rate -->
      <div class="form-group">
        <label for="max_amount">Importo massimo</label>
        <input type="text" id="max_amount" name="max_amount" value="{$max_amount}" />
      </div>

      <!-- Installments Type -->
      <div class="form-group">
        <label for="installments_type">Tipo di mensilità offerte</label>
        <select id="installments_type" name="installments_type" default="range">
          <option value="range" {if $installments_type == 'range'}selected{/if}>Range</option>
          <option value="fixed" {if $installments_type == 'fixed'}selected{/if}>Fisso</option>
          <option value="select" {if $installments_type == 'select'}selected{/if}>Selezione multipla</option>
        </select>
      </div>

      <!-- Installments Number -->
      <div class="form-group dynamic-field">
        <label for="fixed_installments_number">Numero di mensilità fisso</label>
        <input type="text" id="fixed_installments_number" name="fixed_installments_number"
          value="{$fixed_installments_number}" />
      </div>

      <!-- Installments Range Min -->
      <div class="form-group dynamic-field">
        <label for="range_installments_min">Numero di mensilità minimo</label>
        <input type="text" id="range_installments_min" name="range_installments_min"
          value="{$range_installments_min}" />
        </select>
      </div>

      <!-- Installments Range Max -->
      <div class="form-group dynamic-field">
        <label for="range_installments_max">Numero di mensilità massimo</label>
        <input type="text" id="range_installments_max" name="range_installments_max"
          value="{$range_installments_max}" />
      </div>

      <!-- Installments selection list -->
      <div class="form-group dynamic-field">
        <label for="select_installments_list">Intervallo mensilità - Tieni premuto il tasto CMD (sul mac) altrimenti
          CTRL (su Windows)'}</label>
        <select id="select_installments_list" name="select_installments_list[]" multiple>
          <option value="1">1</option>
          <option value="2">2</option>
          <option value="3">3</option>
          <option value="4">4</option>
          <option value="5">5</option>
          <option value="6">6</option>
          <option value="7">7</option>
          <option value="8">8</option>
          <option value="9">9</option>
          <option value="10">10</option>
          <option value="11">11</option>
          <option value="12">12</option>
        </select>
      </div>

      <!-- Permetti IBAN -->
      <div class="form-group">
        <label for="iban_allowed">Permetti acquisto tramite IBAN</label>
        <input type="checkbox" id="iban_allowed" name="iban_allowed" value="1"
          style="transform: scale(1.5); margin-left: 5rem;" {if $iban_allowed == '1'}checked{/if} />
      </div>

      <!-- Permetti Azienda -->
      <div class="form-group">
        <label for="company_allowed">Permetti acquisto a Partite IVA</label>
        <input type="checkbox" id="company_allowed" name="company_allowed" value="1"
          style="transform: scale(1.5);  margin-left: 3.9rem;" {if $company_allowed == '1'}checked{/if} />
      </div>

      <button type="submit" name="submit" class="btn btn-default" style="float: right;">Save</button>
    </div>
  </fieldset>

</form>

<!-- JavaScript -->
<script>
  document.addEventListener("DOMContentLoaded", function() {
    const installmentsType = document.getElementById("installments_type");
    const fixedInstallmentsNumber = document.getElementById("fixed_installments_number");
    const rangeInstallmentsMin = document.getElementById("range_installments_min");
    const multiSelect = document.getElementById("select_installments_list");
    const dynamicFields = document.querySelectorAll(".dynamic-field");

    function toggleFields() {
      dynamicFields.forEach(field => field.style.display = "none");

      if (installmentsType.value === "fixed") {
        dynamicFields[0].style.display = "block";
      } else if (installmentsType.value === "range") {
        dynamicFields[1].style.display = "block";
        dynamicFields[2].style.display = "block";
      } else if (installmentsType.value === "select") {
        dynamicFields[3].style.display = "block";
      }
    }

    toggleFields();
    installmentsType.addEventListener("change", toggleFields);
  });
</script>